﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Detective SOD</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Detective SOD</h1>
        <p>This section consists of the following:</p>
        <h2 id="DetectiveSOD-DetectiveSODAnalysis"><a name="Detectiv"></a>Detective SOD Analysis</h2>
        <p>Detective SOD analysis process is designed in Saviynt to identify conflicts or violations after they have occurred according to the pre-defined rulesets. Users with pre-existing access to applications that are later defined as ruleset violations are identified and classified as Detective SOD evaluations.</p>
        <p>An SOD evaluation job is run within&#160;<strong>IGA</strong>that can be executed on demand or can be scheduled. SOD violations are displayed within the SOD Violations workbench of the&#160;<strong>SOD</strong>&#160;module, where each line item is a violation with a unique combination of user and conflicting risk along with the associated metadata. Violations within the SOD workbench can be accepted, closed, left in a placeholder (in process) for a limited duration, or left open and reports can be generated summarizing or detailing them.</p>
        <p>
            <img src="../Resources/Images/DetectiveSODViolations.jpg" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <h2 id="DetectiveSOD-DetectiveSODConfiguration">Detective SOD Configuration</h2>
        <p>Following are the steps to configure detective&#160;SOD&#160;configuration in <strong>IGA</strong>:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 300.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 894.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                            <p class="table-text">Summary</p>
                        </th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">
                            <p class="table-text">Detailed Description</p>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Access to <strong>IGA</strong></p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Access to the&#160;<strong>IGA</strong>is given to the users.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Admin or User Login credentials.</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">A valid system administrator login - this includes the Administrator responsibility for managing and has access to all the available features in SOD.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Assignment of user-personas to SAV Role.</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Initially when a user logs in for the first time into IGA, user may not be able to see the&#160;<strong>SOD</strong>&#160;tab, since the access is not assigned. The&#160;admin has to enable the user's access for every SoD menu and sub-menu's within&#160;<strong>IGA</strong>.</p>
                            <p>For more information about enabling access to SODtab, see <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Creating-and-Managing-Custom-SAV-Roles.htm">Creating and Managing Custom SAV Roles</MadCap:xref></p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Setting-up Identity Warehouse.</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Saviynt Identity Warehouse must be setup on&#160;<strong>IGA</strong>. For more information about setting-up Identity Warehouse, see <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Saviynt-Identity-Repository-Setup.htm">Setting up IGA Identity Repository</MadCap:xref>.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Approvers are assigned for Endpoints.</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>One or more endpoints with associated approver(s) have been setup based on the workflow created. For more information about setting-up the Resource Owner (approver) in Endpoint, see <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Managing-Endpoints.htm">Managing Endpoints</MadCap:xref>.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Create and assign workflow to Endpoints.</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Workflow for Endpoints should be created and approvers must be assigned in the workflow. For more information about creating workflow, see <MadCap:xref href="../Chapter11-Managing-Workflows/Creating-Workflows.htm">Creating Workflows</MadCap:xref></p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Create Email Templates for&#160; SoD</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Various Email Templates and parameters for SOD must be configured and setup in <strong>IGA</strong>. For more information related to setting-up Email Templates, see the section<strong>Email Parameters required for SOD</strong> tab in <MadCap:xref href="../Chapter06-Configuring-EIC/Creating-and-Managing-Email-Templates.htm">Managing Email Templates</MadCap:xref>.</p>
                            <p class="table-text">For Detective SOD, you can run <strong>SOD Evaluation (RiskSODEvaluationJob</strong>) to add emails. The email is a plain text email without attributes.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Configuring Job Control Panel</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Ensure that all the Jobs related to detective SOD are created and scheduled to complete the SOD functionality.</p>
                            <p>For Example:</p>
                            <p>SOD Evaluation (RiskSODEvaluationJob)-&#160;Use this job to run and evaluate the SOD violations based on detective analysis.</p>
                            <p>For more information on jobs, see&#160;<MadCap:xref href="../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Categories-for-Flat-Job-Control-Panel.htm">Job Categories for Flat Job Control Panel</MadCap:xref>.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Configure the Basic Configuration&#160;</p>
                        </td>
                        <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">Ensure that detective SOD related configurations have been setup and provided from <strong>Admin &gt; Global Configurations &gt; SOD </strong>in case of new UI. <br />In case of old UI, navigate to <strong>Admin &gt; Configurations &gt; Global Configurations &gt; SOD</strong>You can download the reports with the above configurations from SOD workbench once the detective SoD evaluation job is completed.&#160;<br />For more information, see<MadCap:xref href="../Chapter06-Configuring-EIC/SOD-Configuration.htm">SOD Configurations</MadCap:xref>.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Information pertaining to the Detective SOD analysis process.</p>
                        </td>
                        <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">A clear understanding of SOD&#160;analysis. For more information, see&#160;<MadCap:xref href="#Detectiv">Detective SOD Analysis</MadCap:xref>.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Possess accurate data such as rulesets and associated objects. Also, information pertaining to the SOD process.</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyA-Column1-Body1">The <strong>Ruleset</strong> objects that you create using the application can be used for managing preventative SOD analysis functionality. The <strong>Ruleset</strong> consists of primary and secondary objects. Primary objects are core objects such as risks and functions. Secondary objects are mapped to primary objects such as entitlement types and entitlement values.&#160;<p class="table-text">The default Ruleset must be marked as True. Risk and Function must have valid entitlement type and entitlement values as they are tagged to the right Ruleset.</p><p class="table-text">In external Config file, verify the configuration for sod.endpoints.&#160; Also, for the endpoint, the Entitlement Type must be set with some other option other than None.</p></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </body>
</html>